Rated 1 out of 5 stars

Version 2.0 is far better!!! By the way, don't try to force people to install version 3.01 by making 2.0 incompatible with the latest Firefox!! Up until yesterday (14/6) there were no issues!!! Now you have made it incompatible, that's a bit naughty guys!!!!!! As i said before, version 3.01 is bloatware at nearly 3mb, and slows my surfing a lot. So for that sneaky move you now get one star!!!!! Streamline it, and people will use it! As for you making version 2.0 incompatible, Nightly Tester Tools saw to that little issue, thank you!!!!

This review is for a previous version of the add-on (3.01).  This user has other reviews of this add-on.